Bug 1013609 - modifyrepo decompresses already compressed metadata before adding
modifyrepo decompresses already compressed metadata before adding
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: createrepo (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-30 08:51 EDT by Tomas Mlcoch
Modified: 2013-10-29 21:54 EDT (History)
3 users (show)

See Also:
Fixed In Version: createrepo-0.10-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-29 21:54:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Mlcoch 2013-09-30 08:51:52 EDT
Description of problem:
When I try to add an already compressed metadata file, the file decompressed firstly, and then added, but the compression suffix persist, so it is super confusing.

--no-compress option doesn't help.

Version-Release number of selected component (if applicable):
Name        : createrepo
Version     : 0.9.9
Release     : 21.fc19

How reproducible:
always

Steps to Reproduce:
modifyrepo --no-compress foobar.xml.gz rpms_sss/repodata

Actual results:
Decompressed foobar.xml is added with the original filename foobar.xml.gz

Expected results:
Something more sane. E.g. File is only copied and keeps its original name foobar.xml.gz (no decompression is done).
Comment 1 Zdeněk Pavlas 2013-09-30 11:29:23 EDT
Yep, modifyrepo is pretty buggy..  Fixed this also with other bugs:

- when the input file was compressed, it was transparently decompressed, but then the selected compression was not applied at all.

- open-size and open-checksum were calculated from the original compressed file.
Comment 2 Fedora Update System 2013-10-01 08:11:29 EDT
createrepo-0.9.9-23.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/createrepo-0.9.9-23.fc19
Comment 3 Fedora Update System 2013-10-02 02:50:44 EDT
Package createrepo-0.9.9-23.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing createrepo-0.9.9-23.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18128/createrepo-0.9.9-23.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-10-18 09:09:42 EDT
createrepo-0.10-0.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/createrepo-0.10-0.fc19
Comment 5 Fedora Update System 2013-10-22 03:33:09 EDT
createrepo-0.10-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/createrepo-0.10-1.fc19
Comment 6 Fedora Update System 2013-10-29 21:54:27 EDT
createrepo-0.10-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.